#include <bits/stdc++.h>
#define ll long long
using namespace std;

int N, L, H;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> N >> L;
    for(int i = 1; i <= N; i++)
    {
        cin >> H;
        if(H <= L)
        {
            cout << i << "\n";
            break;
        }
        if(i == N) cout << "-1";
    }
    return 0;
}